import { StorageService, StorageSettings } from '../../services/Storage/interfaces';
import { ConsentHistory } from '../../services/DataFacade/interfaces';
export type CompressHistory = Omit<ConsentHistory, 'language' | 'timestamp'>;
export type CompressService = Omit<StorageService, 'history'> & {
    history: CompressHistory[];
};
export type CompressConsent = Omit<StorageSettings, 'services'> & {
    services: CompressService[];
};
export declare const prepareConsent: (storage: StorageSettings) => CompressConsent;
export declare const compress: (value: string) => string;
export declare const decompress: (value: string) => string | null;
