import { LEGACY_CCPA_REGION } from '../../Api/enums';
export declare const MERGED_SETTINGS: {
    acceptAllImplicitlyOutsideEU: boolean;
    categories: {
        description: string;
        isEssential: boolean;
        isHidden: boolean;
        label: string;
        services: {
            categorySlug: string;
            consent: {
                history: never[];
                status: boolean;
            };
            dataCollected: string[];
            dataDistribution: {
                processingLocation: string;
                thirdPartyCountries: string[];
            };
            dataPurposes: string[];
            dataRecipients: string[];
            description: string;
            id: string;
            isEssential: boolean;
            isHidden: boolean;
            language: {
                available: string[];
                selected: string;
            };
            legalBasis: string[];
            name: string;
            processingCompany: {
                address: string;
                dataProtectionOfficer: string;
                name: string;
            };
            processorId: string;
            retentionPeriodDescription: string;
            subServices: never[];
            technologiesUsed: string[];
            urls: {
                cookiePolicy: string;
                dataProcessingAgreement: string;
                optOut: string;
                privacyPolicy: string;
            };
            version: string;
        }[];
        slug: string;
    }[];
    ccpa: {
        iabAgreementExists: boolean;
        isActive: boolean;
        region: LEGACY_CCPA_REGION;
        reshowAfterDays: number;
        showOnPageLoad: boolean;
    };
    consentSharingIFrameIsActive: boolean;
    controllerId: string;
    dataExchangeSettings: {
        names: string[];
        type: number;
    }[];
    id: string;
    isTcfEnabled: boolean;
    showFirstLayerOnVersionChange: number[];
    tcf: {
        changedPurposes: {
            legitimateInterestPurposes: never[];
            purposes: never[];
        };
        cmpId: number;
        cmpVersion: number;
        consensuScriptPath: string;
        consensuSubdomain: string;
        gdprApplies: boolean;
        publisherCountryCode: string;
        purposeOneTreatment: boolean;
        stackIds: never[];
        vendorIds: number[];
    };
    ui: {
        buttons: {
            acceptAll: {
                label: string;
            };
            denyAll: {
                isEnabled: boolean;
                label: string;
            };
            save: {
                label: string;
            };
            showSecondLayer: {
                isEnabled: boolean;
                label: string;
                url: null;
            };
        };
        customization: {
            color: {
                primary: string;
            };
            font: {
                family: string;
                size: number;
            };
            logoUrl: string;
            theme: number;
        };
        firstLayer: {
            description: {
                default: string;
                short: string;
            };
            isCategoryTogglesEnabled: boolean;
            isLanguageSelectorEnabled: boolean;
            isOverlayEnabled: boolean;
            title: string;
            variant: number;
        };
        isEmbeddingsEnabled: boolean;
        labels: {
            general: {
                consentGiven: string;
                consentNotGiven: string;
                consentType: string;
                controllerId: string;
                copy: string;
                date: string;
                decision: string;
                explicit: string;
                implicit: string;
                processorId: string;
                showLess: string;
                showMore: string;
            };
            service: {
                dataCollected: {
                    description: string;
                    title: string;
                };
                dataDistribution: {
                    processingLocationTitle: string;
                    thirdPartyCountriesTitle: string[];
                };
                dataPurposes: {
                    description: string;
                    title: string;
                };
                dataRecipientsTitle: string;
                descriptionTitle: string;
                history: {
                    description: null;
                    title: string;
                };
                legalBasis: {
                    description: string;
                    title: string;
                };
                processingCompanyTitle: string;
                retentionPeriodTitle: string;
                technologiesUsed: {
                    description: string;
                    title: string;
                };
                urls: {
                    cookiePolicyTitle: string;
                    optOutTitle: string;
                    privacyPolicyTitle: string;
                };
            };
        };
        language: {
            available: string[];
            selected: string;
        };
        links: {
            cookiePolicy: {
                ariaLabel: string;
                label: string;
                url: string;
            };
            imprint: {
                ariaLabel: string;
                label: string;
                url: string;
            };
            privacyPolicy: {
                ariaLabel: string;
                label: string;
                url: string;
            };
        };
        poweredBy: {
            isEnabled: boolean;
            label: string;
            partnerUrl: null;
            partnerUrlLabel: null;
            url: string;
            urlLabel: string;
        };
        privacyButton: {
            iconUrl: null;
            isEnabled: boolean;
            position: string;
        };
        secondLayer: {
            description: string;
            isLanguageSelectorEnabled: boolean;
            isOverlayEnabled: boolean;
            tabs: {
                categories: {
                    isEnabled: boolean;
                    label: string;
                };
                services: {
                    isEnabled: boolean;
                    label: string;
                };
            };
            title: string;
            variant: number;
        };
        toggles: {
            consent: {
                label: string;
            };
            legitimateInterest: {
                label: string;
            };
            specialFeaturesToggle: {
                offLabel: string;
                onLabel: string;
            };
        };
    };
    version: string;
};
