export default class Language {
    private static instance;
    private primaryLanguage;
    private apiInstance;
    private constructor();
    static getInstance(): Language;
    setPrimaryLanguage(language: string): void;
    getPrimaryLanguage(): string;
    /**
     * Language order (every value is checked against availableLanguages)
     * 1. Language given to constructor / primary language
     * 2. Language value in LocalStorage
     * 3. Document language
     * 4. User's browser language
     * 5. First available language
     * 6. Fallback language (English)
     */
    resolveLanguage(skipPrimaryAndStorage?: boolean): Promise<void>;
}
