import { CcpaData, LegalFramework } from './interfaces';
import { CoreJsonResponse, DpsJsonResponse } from '../../Api/interfaces';
import DefaultData from './DefaultData';
import { LEGACY_CCPA_REGION } from '../../Api/enums';
import { STRING_CHARACTER } from '../enums/Ccpa/enums';
declare class Ccpa extends DefaultData implements CcpaData {
    iabAgreementExists: boolean;
    isActive: boolean;
    isExplicitConsented: boolean;
    isOptedOut: boolean;
    explicitDeny: boolean;
    explicitNotice: boolean;
    region: LEGACY_CCPA_REGION;
    reshowAfterDays: number;
    showOnPageLoad: boolean;
    framework: string;
    legalFramework: LegalFramework;
    getIsOptedOut(): boolean;
    private getLegalFramework;
    getExplicitNotice(): boolean;
    setCcpaStorage(isOptedOut: boolean, isNoticeGiven?: STRING_CHARACTER): void;
    setIsOptedOut(optedOut: boolean | string): void;
    constructor(coreJson: CoreJsonResponse, dpsJson: DpsJsonResponse, controllerId: string, isExplicitConsented: boolean);
}
export default Ccpa;
