import { ConsentHistory } from '../../DataFacade/interfaces';
/** A user's consent decision for a single service */
export interface UserDecision {
    /** The id of the service the consent decision belongs to */
    serviceId: string;
    /** Indicates if the user gave consent (true) or denied consent (false) */
    status: boolean;
}
export type LogoPosition = 'center' | 'left' | 'right';
export interface DataDistribution {
    processingLocation: string;
    thirdPartyCountries: string[];
}
export interface Language {
    available: string[];
    selected: string;
}
export interface ProcessingCompany {
    address: string;
    dataProtectionOfficer: string;
    name: string;
}
export interface URLs {
    cookiePolicy: string;
    dataProcessingAgreement: string;
    optOut: string;
    privacyPolicy: string;
}
export interface Consent {
    history: ConsentHistory[];
    status: boolean;
}
