import { LEGACY_CONSENT_ACTION, LEGACY_CONSENT_TYPE } from '../../DataFacade/enums';
export declare const LEGACY_STORAGE_SETTINGS: {
    ucConsents: {
        consents: {
            action: string;
            consentStatus: boolean;
            controllerId: string;
            history: {
                action: string;
                appVersion: string;
                consentStatus: boolean;
                consentTemplateVersion: string;
                language: string;
                settingsVersion: string;
                templateId: string;
                updatedAt: number;
                updatedBy: string;
            }[];
            processorId: string;
            templateId: string;
            unsavedConsentStatus: boolean;
            updatedBy: string;
            version: string;
        }[];
        consentTemplates: {
            '8L9bkqYbV': {
                '6.2.0': {
                    dataProcessors: string[];
                };
            };
            '8QW9ZIyK': {
                '1.0.0': {
                    dataProcessors: string[];
                };
            };
            BJCrgq4iuiWQ: {
                '4.0.0': {
                    dataProcessors: string[];
                };
            };
            H1Vl5NidjWX: {
                '32.11.30': {
                    dataProcessors: string[];
                };
            };
            HJI5SmLm7: {
                '4.0.18': {
                    dataProcessors: string[];
                };
            };
            n9pGpcK5L: {
                '5.2.1': {
                    dataProcessors: string[];
                };
            };
            wqpKH6gNO: {
                '8.0.0': {
                    dataProcessors: string[];
                };
            };
        };
    };
    usercentrics: {
        curentOpenedDomainCounter: string;
        firstUserInteraction: {
            stateSaved: boolean;
            value: number;
        };
        settings: {
            dataExchangeOnPage: {
                events: string[];
                names: string[];
                type: number;
            }[];
            language: string;
            settingsId: string;
            version: string;
        };
        settingsIds: string[];
    };
};
export declare const LEGACY_STORAGE_SETTINGS_WITHOUT_CONSENTS: {
    ucConsents: {
        consents: never[];
    };
    usercentrics: {
        curentOpenedDomainCounter: string;
        firstUserInteraction: {
            stateSaved: boolean;
            value: number;
        };
        settings: {
            dataExchangeOnPage: {
                events: string[];
                names: string[];
                type: number;
            }[];
            language: string;
            settingsId: string;
            version: string;
        };
        settingsIds: string[];
    };
};
export declare const LEGACY_STORAGE_SETTINGS_CONSENT_ACTION_TYPES: {
    ucConsents: {
        consents: {
            action: string;
            consentStatus: boolean;
            controllerId: string;
            history: {
                action: LEGACY_CONSENT_ACTION;
                appVersion: string;
                consentStatus: boolean;
                consentTemplateVersion: string;
                language: string;
                settingsVersion: string;
                templateId: string;
                updatedAt: number;
                updatedBy: LEGACY_CONSENT_TYPE;
            }[];
            processorId: string;
            templateId: string;
            unsavedConsentStatus: boolean;
            updatedBy: string;
            version: string;
        }[];
        consentTemplates: {
            '8L9bkqYbV': {
                '6.2.0': {
                    dataProcessors: string[];
                };
            };
            '8QW9ZIyK': {
                '1.0.0': {
                    dataProcessors: string[];
                };
            };
            BJCrgq4iuiWQ: {
                '4.0.0': {
                    dataProcessors: string[];
                };
            };
            H1Vl5NidjWX: {
                '32.11.30': {
                    dataProcessors: string[];
                };
            };
            HJI5SmLm7: {
                '4.0.18': {
                    dataProcessors: string[];
                };
            };
            n9pGpcK5L: {
                '5.2.1': {
                    dataProcessors: string[];
                };
            };
            wqpKH6gNO: {
                '8.0.0': {
                    dataProcessors: string[];
                };
            };
        };
    };
    usercentrics: {
        curentOpenedDomainCounter: string;
        firstUserInteraction: {
            stateSaved: boolean;
            value: number;
        };
        settings: {
            dataExchangeOnPage: {
                events: string[];
                names: string[];
                type: number;
            }[];
            language: string;
            settingsId: string;
            version: string;
        };
        settingsIds: string[];
    };
};
